#if !defined(AFX_PAGE1_H__D4FF6292_ED81_49D5_86E4_45A4C8BC2952__INCLUDED_)
#define AFX_PAGE1_H__D4FF6292_ED81_49D5_86E4_45A4C8BC2952__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// page1.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// Cpage1 dialog

class Cpage1 : public CPropertyPage
{
	DECLARE_DYNCREATE(Cpage1)

// Construction
public:
	HANDLE hCommPort;
	BOOL Str2ToHex(char* str,int lenstr);
	char StartFlag[2];
	Cpage1();
	~Cpage1();

// Dialog Data
	//{{AFX_DATA(Cpage1)
	enum { IDD = IDD_PROPPAGE_LARGE };
	CComboBox	m_port;
	CString	m_Caption;
	CString	m_Number;
	CString	m_Reader;
	CString	m_Stye;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(Cpage1)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(Cpage1)
	virtual BOOL OnInitDialog();
	afx_msg void OnGetInfo();
	afx_msg void OnOpen();
	afx_msg void OnCloseApp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PAGE1_H__D4FF6292_ED81_49D5_86E4_45A4C8BC2952__INCLUDED_)
